Page MenuHomePhabricator

Syntax Highlighting no longer remembers whether it should be on or off
Closed, ResolvedPublic2.85 Estimated Story Points

Description

Previously, when I opened article editor, syntax highlighting would be on; now it defaults to off. When I turn it on, it does not remember that choice and when the editor is loaded again (for example to preview changes) syntax highlighting is off. I have this problem with both the standard wikitext source editor and the 2017 editor.
I tried clearing my browser cookies/cache, restoring default preferences, and tried both Safari and Chrome. I can reproduce this problem on en.wikipedia.org, meta.wikimedia.org, and test2.wikipedia.org.

Event Timeline

Biexx triaged this task as Medium priority.Jun 30 2018, 6:44 PM
Biexx created this task.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJun 30 2018, 6:44 PM
Biexx removed kaldari as the assignee of this task.Jun 30 2018, 6:46 PM
JJMC89 raised the priority of this task from Medium to Needs Triage.Jun 30 2018, 7:03 PM
MusikAnimal triaged this task as High priority.Jul 2 2018, 6:55 PM

This is pretty annoying

Putting this in the sprint. We can estimate retroactively.

One observation from trying to reproduce this - I have not been able to reproduce this with my staff account but it is reproducible on my personal account.

MaxSem added a subscriber: MaxSem.Jul 2 2018, 10:52 PM

{"warnings":{"options":{"warnings":"Validation error for \"usecodemirror\": not a valid preference."}},"options":"success"}

MaxSem claimed this task.Jul 3 2018, 12:41 AM
MaxSem moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 443740 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/CodeMirror@master] Restore GetPreferences hook handler registration

https://gerrit.wikimedia.org/r/443740

Change 443740 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Restore GetPreferences hook handler registration

https://gerrit.wikimedia.org/r/443740

Change 443743 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/CodeMirror@wmf/1.32.0-wmf.10] Restore GetPreferences hook handler registration

https://gerrit.wikimedia.org/r/443743

Change 443743 merged by MaxSem:
[mediawiki/extensions/CodeMirror@wmf/1.32.0-wmf.10] Restore GetPreferences hook handler registration

https://gerrit.wikimedia.org/r/443743

Niharika closed this task as Resolved.Jul 3 2018, 11:14 PM
Niharika moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.

Fix deployed today.

kaldari set the point value for this task to 2.85.Jul 3 2018, 11:20 PM